# Uses of Enum
org.apache.velocity.util.DuckType.Types

Packages that use DuckType.Types
Package
Description
org.apache.velocity.util

## Uses of DuckType.Types in org.apache.velocity.util

Methods in org.apache.velocity.util that return DuckType.Types
Modifier and Type
Method
Description
`static DuckType.Types`
DuckType.Types.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DuckType.Types[]`
DuckType.Types.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.velocity.util with parameters of type DuckType.Types
Modifier and Type
Method
Description
`protected static Method`
DuckType.`findMethod(Class<?> c, DuckType.Types type)`
`protected static Object`
DuckType.`get(Object value, DuckType.Types type)`